This usually occurs if the phone make/model or OS is not supported. We support the following:

  • Apple iOS 12.2 upwards, theoretically supported by iPhone 5s onwards.

  • Androids OS 9.0 "Pie," the minimum supported version is 4.1 Jelly Bean.

Should you have the correct device and still have problems, then please report this to the Unibuddy Support Team via Intercom and copy and paste the Device Info from the Settings section in the mobile app.

Did this answer your question?